diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 4d26cc9..95f1b04 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -138739,14 +138739,14 @@ StreamInfiniteProduct(Coef): Exports == Implementation where
  
       applyOverQF:(ST QF Coef -> ST QF Coef,ST Coef) -> ST Coef
       applyOverQF(f,st) ==
-        stQF := map(#1 :: QF(Coef),st)$StreamFunctions2(Coef,QF Coef)
-        map(retract(#1)@Coef,f stQF)$StreamFunctions2(QF Coef,Coef)
+        stQF := map(z1 +-> z1::QF(Coef),st)$StreamFunctions2(Coef,QF Coef)
+        map(z1 +-> retract(z1)@Coef,f stQF)$StreamFunctions2(QF Coef,Coef)
  
-      infiniteProduct st     == applyOverQF(exp lambert log #1,st)
-      evenInfiniteProduct st == applyOverQF(exp evenlambert log #1,st)
-      oddInfiniteProduct st  == applyOverQF(exp oddlambert log #1,st)
+      infiniteProduct st     == applyOverQF(z1 +-> exp lambert log z1,st)
+      evenInfiniteProduct st == applyOverQF(z1 +-> exp evenlambert log z1,st)
+      oddInfiniteProduct st  == applyOverQF(z1 +-> exp oddlambert log z1,st)
       generalInfiniteProduct(st,a,d) ==
-        applyOverQF(exp generalLambert(log #1,a,d),st)
+        applyOverQF(z1 +-> exp generalLambert(log z1,a,d),st)
 
 @
 <<STINPROD.dotabb>>=
diff --git a/changelog b/changelog
index cc5243e..3538ca1 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090621 tpd src/axiom-website/patches.html 20090621.05.tpd.patch
+20090621 tpd books/bookvol10.4 STINPROD +-> conversion
 20090621 tpd src/axiom-website/patches.html 20090621.04.tpd.patch
 20090621 tpd books/bookvol10.4 STREAM3 +-> conversion
 20090621 tpd src/axiom-website/patches.html 20090621.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a24b127..148b200 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1625,5 +1625,7 @@ bookvol10.4 SFQCMPK +-> conversion<br/>
 bookvol10.4 SFRGCD +-> conversion<br/>
 <a href="patches/20090621.04.tpd.patch">20090621.04.tpd.patch</a>
 bookvol10.4 STREAM3 +-> conversion<br/>
+<a href="patches/20090621.05.tpd.patch">20090621.05.tpd.patch</a>
+bookvol10.4 STINPROD +-> conversion<br/>
  </body>
 </html>
